wM 10.5Integrated security and fixes

Hi,
We installed a 10.5 version of wM and we downloaded the version 8.2.0 jre8 of sql jdbc adapter. When we tried the integrated security it worked fine.
But now, we installed last fixes and now, that doesn’t work anymore.
What did we forget ?

It seems it is a problem with FIX 9 of 10.3 JDBC Adapter. It is not compatible I guess with Sql JSBC driver version 8.2.0 jre8.
Because I uninstall it and it worked again.

Hi Vital,

which database type is this?
From where did you obtain the driver jar?

Might be that there is a newer version available.

Regards,
Holger

Hi,
This is SQL Server.
I get the driver from Microsoft platform : https://docs.microsoft.com/fr-fr/sql/connect/jdbc/download-microsoft-jdbc-driver-for-sql-server?view=sql-server-ver15

It exists three versions of jar
sqljdbc-8-jre8
sqljdbc-8-jre11
sqljdbc-8-jre13

I try only with the version jre 8. I don’t know where I can find other version. I thought it was the version of Java but I’m not sur. Each time I execute fixes, it suggest me to put the latest version of Java wich is Java 1.8.xxx I don’t know what is the correspondance.

Hi Vital,

JRE 8 should match Java 1.8.
It is just another format of providing the version.

When UpdateManager refers to updating the JVM (by applying a SAG Fix) it will update the bundled jvm to a newer build of Java 8 (either Oracle or Azul Zulu depending on wM version).

Regards,
Holger

Ok,
So I have the good version of my SQL jdbc driver and it’ seems to be incompatible with FIX 9 of JDBC Adapter 10.3

(We use Azul Zulu)

Hi Vital,

this might be candidate for an incident with SAG to get the Fix checked
.
Regards,
Holger

Hi Vital,

Please keep this thread updated if you are pursuing a ticket with SAG on the Fix 9 incompatibility issue… :slight_smile:

Cheers!
RMG